
From: Christoph Hellwig <hch@lst.de>

<asm/softirq.h> went away in 2.5, but new ports keep adding instances again
and again.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-h8300/softirq.h |   20 --------------------
 25-akpm/include/asm-sh64/softirq.h  |   30 ------------------------------
 2 files changed, 50 deletions(-)

diff -puN include/asm-h8300/softirq.h~asm-softirqh-crept-back-in-h8300-and-sh64 include/asm-h8300/softirq.h
--- 25/include/asm-h8300/softirq.h~asm-softirqh-crept-back-in-h8300-and-sh64	2004-09-12 22:46:20.450885536 -0700
+++ 25-akpm/include/asm-h8300/softirq.h	2004-09-12 22:46:20.455884776 -0700
@@ -1,20 +0,0 @@
-#ifndef __ASM_SOFTIRQ_H
-#define __ASM_SOFTIRQ_H
-
-#include <linux/preempt.h>
-#include <asm/hardirq.h>
-
-#define local_bh_disable() \
-		do { preempt_count() += SOFTIRQ_OFFSET; barrier(); } while (0)
-#define __local_bh_enable() \
-		do { barrier(); preempt_count() -= SOFTIRQ_OFFSET; } while (0)
-
-#define local_bh_enable()						\
-do {									\
-	__local_bh_enable();						\
-	if (unlikely(!in_interrupt() && softirq_pending(smp_processor_id()))) \
-		do_softirq();						\
-	preempt_check_resched();					\
-} while (0)
-
-#endif	/* __ASM_SOFTIRQ_H */
diff -puN include/asm-sh64/softirq.h~asm-softirqh-crept-back-in-h8300-and-sh64 include/asm-sh64/softirq.h
--- 25/include/asm-sh64/softirq.h~asm-softirqh-crept-back-in-h8300-and-sh64	2004-09-12 22:46:20.452885232 -0700
+++ 25-akpm/include/asm-sh64/softirq.h	2004-09-12 22:46:20.455884776 -0700
@@ -1,30 +0,0 @@
-#ifndef __ASM_SH_SOFTIRQ_H
-#define __ASM_SH_SOFTIRQ_H
-
-#include <asm/atomic.h>
-#include <asm/hardirq.h>
-
-#define local_bh_disable()			\
-do {						\
-	local_bh_count(smp_processor_id())++;	\
-	barrier();				\
-} while (0)
-
-#define __local_bh_enable()			\
-do {						\
-	barrier();				\
-	local_bh_count(smp_processor_id())--;	\
-} while (0)
-
-#define local_bh_enable()				\
-do {							\
-	barrier();					\
-	if (!--local_bh_count(smp_processor_id())	\
-	    && softirq_pending(smp_processor_id())) {	\
-		do_softirq();				\
-	}						\
-} while (0)
-
-#define in_softirq() (local_bh_count(smp_processor_id()) != 0)
-
-#endif /* __ASM_SH_SOFTIRQ_H */
_
